// Gauss - Seidel algoritem za resitev
// sistemov linearnih enacb
function x = ResiSLE(A,x0,b,eps,n)
  //stevilo iteracij
  niter=0;
  R=eps+1;
  while (niter<100000 & R>eps)
    for i=1:n
      tmp=b(i);
      for j=1:i-1
        tmp=tmp-A(i,j)*x(j);
      end
      for j=i+1:n
        tmp=tmp-A(i,j)*x0(j);
      end
      x(i)=tmp/A(i,i);
    end
    R = IzracunajRMS(x,x0,n)
    niter=niter+1;   
    x0=x;
  end  
endfunction

// Izracunamo RMS razliko med vektorjema
function R = IzracunajRMS(x,x0,n) 
  stev=0;
  imen=0;
  for i=1:n
    stev=stev+(x(i)-x0(i))**2
    imen=imen+(x(i))**2
  end
  R=sqrt(stev/imen);
endfunction