// Nalozimo funkcijo ResiSLE iz datoteke l2-2.sci
exec('/pot-do-datotek/l2-2.sci');
// Funkcija, ki izvede direktno polinomsko interpolacijo
function v = DPI(x,a,npe) 
  v=0;
  for i=1:npe
    v=v+a(i)*x**(i-1)
  end
endfunction
// Stevilo podatkov
n = 10;
x = [ 1 ;  2;  3;   4;   5;   6;   7;   8;    9;   10];
f = [ 6 ; 23; 60; 123; 218; 351; 528; 755; 1038; 1383];
// Stopnja aprokismacijskega polinoma
m = 1;
mpe=m+1;
// resitev in zacetni priblizek resitve
a=zeros(mpe,1);
a0=zeros(mpe,1);

// desna stran
rhs=zeros(mpe,1);
for i=1:mpe
  for j=1:n
    rhs(i)=rhs(i)+x(j)**(i-1)*f(j);
  end
end
// sistemska matrika
A=zeros(mpe,mpe);
for i=1:mpe
  for j=1:mpe
    for k=1:n
      A(i,j)=A(i,j)+x(k)**(j-1+i-1);
    end
  end
end
// natancnost
eps=1.0E-10;
// resimo sistem enacb     
a = ResiSLE(A,a0,rhs,eps,mpe); 
// izpis
disp("Koeficienti a(i)=") 
disp(a)
  
// zgeneriramo aproksimacijo v 101 tocki
faprox=zeros(101,1);
xx=zeros(101,1);
for i=1:101
  xx(i)=x(1)+(i-1)*(x(n)-x(1))/100;
  faprox(i)=DPI(xx(i),a,mpe);
end
// izris grafa
plot(x,f,"dr")
plot(xx,faprox)
b=get("current_axes");
b.title.font_size=4;
b.x_label.font_size=4;
b.y_label.font_size=4;
b.font_size=4;
b.data_bounds=[0 11 0 1450];
legend("tocke","aproksimacija",2);
xtitle("Aproksimacija po metodi najmanjsih kvadratov","x","f")